This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 236709 - kernel 2.6.20-1.2944 reports drive_cmd status 0xd0 - Busy
kernel 2.6.20-1.2944 reports drive_cmd status 0xd0 - Busy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-17 04:11 EDT by frollic nilsson
Modified: 2008-02-07 23:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description frollic nilsson 2007-04-17 04:11:39 EDT
I just upgraded my Fedora router box with a new motherboard and CPU, the old
system had a built in RAID-controller, which I now had to replace with a
PCI-slot based Promise FastTrak100 TX2. 
When I moved the disks to the new controller I started getting messages about:

kernel: hdh: drive_cmd: status=0xd0 { Busy }
kernel: ide: failed opcode was: 0xea

The RAID5-set seems to be working fine, but as soon as you access the actual
drive, even if it's only with a "ls -l" you get the message. I also ran several
tests on the set and the data wasn't/isn't getting corrupt.

I tried to downgrade the kernel from kernel-2.6.20-1.2944.fc6 to
kernel-2.6.20-1.2925.fc6 and the messages went away.

PCI controller details:
00:0a.0 RAID bus controller: Promise Technology, Inc. PDC20270 (FastTrak100
LP/TX2/TX4) (rev 02) (prog-if 85)
        Subsystem: Promise Technology, Inc. FastTrak100 TX2
        Flags: bus master, 66MHz, slow devsel, latency 32, IRQ 16
        I/O ports at a000 [size=8]
        I/O ports at a400 [size=4]
        I/O ports at a800 [size=8]
        I/O ports at ac00 [size=4]
        I/O ports at b000 [size=16]
        Memory at dd000000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at 50020000 [size=64K]
        Capabilities: [60] Power Management version 1

Note that I don't have the RAID-set configured in the RAID-controller, it's a
software RAID using mdadm in Fedora. The controller is just used as an IDE host
adapter for the disks.
Comment 1 Jon Stanley 2008-01-07 20:48:13 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:25:45 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.